Package bitel.billing.server.contract.bean.find

# Class SearchContractModule

java.lang.Object
bitel.billing.server.contract.bean.find.SearchContractModule

Direct Known Subclasses:
  `SearchContractByAddress`, `SearchContractByCerbercrypt`, `SearchContractByComment`, `SearchContractByEmail`, `SearchContractById`, `SearchContractByInetLogin`, `SearchContractByLogin`, `SearchContractByParameter`, `SearchContractByPhone`, `SearchContractByTitle`, `SearchContractModuleEmpty`

public abstract class SearchContractModule extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final int`
  `MAX_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchContractModule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `addContractFilter(StringBuilder query, SearchContract search, String sqlDate)`
  `protected void`
  `addContractSelectPart(StringBuilder query)`
  `protected void`
  `addDateFilter(StringBuilder query, String tableName, String sqlDate)`
  `protected void`
  `addDateFilter(StringBuilder query, String tableName, String sqlDate, String dateField1, String dateField2)`
  `protected void`
  `addLimitAndTitleRegexpFilter(StringBuilder query, SearchContract search)`
  `protected void`
  `addWhereQuery(StringBuilder query, int compareType, String column)`
  `protected List<Contract>`
  `extractContracts(Connection con, String query, String param)`
  `abstract List<Contract>`
  `findContracts(Connection con, SearchContract search, String param, Date date)`
  `abstract String`
  `getName()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MAX_SELECT

    protected static final int MAX_SELECT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SearchContractModule

    public SearchContractModule()

- ## Method Details

  - ### findContracts

    public abstract List<Contract> findContracts(Connection con, SearchContract search, String param, Date date)

  - ### getName

    public abstract String getName()

  - ### addWhereQuery

    protected void addWhereQuery(StringBuilder query, int compareType, String column)

  - ### addContractSelectPart

    protected void addContractSelectPart(StringBuilder query)

  - ### extractContracts

    protected List<Contract> extractContracts(Connection con, String query, String param)

  - ### addContractFilter

    protected void addContractFilter(StringBuilder query, SearchContract search, String sqlDate)

  - ### addDateFilter

    protected void addDateFilter(StringBuilder query, String tableName, String sqlDate)

  - ### addDateFilter

    protected void addDateFilter(StringBuilder query, String tableName, String sqlDate, String dateField1, String dateField2)

  - ### addLimitAndTitleRegexpFilter

    protected void addLimitAndTitleRegexpFilter(StringBuilder query, SearchContract search)